{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "kill ReactNative processes",
            "detail": "pkill -f react-native",
            "type": "shell",
            "command": "pkill -f react-native"
        },
        {
            "label": "kill all processes",
            "detail": "pkill -f react-native",
            "type": "shell",
            "command": "pkill -f react-native && lsof -i:8080 -t | xargs kill && lsof -i:8081 -t | xargs kill",
            "problemMatcher": []
        },
        {
            "label": "core update",
            "detail": "core local pkgs update",
            "type": "shell",
            "command": "yarn core:fresh"
        },
        {
            "label": "iOS build clean",
            "detail": "mobile react native clean",
            "type": "shell",
            "command": "cd pkgs/mobile/ios && xcodebuild clean"
        },
        {
            "label": "iOS delete DerivedData",
            "detail": "mobile react native DerivedData clean",
            "type": "shell",
            "command": "rm -rf ~/Library/Developer/Xcode/DerivedData/*"
        },
    ]
}